Subject: Re: Problems with linuxppc_2_4_devel

From: Larry McVoy <[email-masked]>
Date: Tue, 15 Jan 2002 13:02:03 -0800

What I was thinking was one of two approaches:

a) try and connect to a well known time server and see if the time is too
   far off at commit time.  May or may not work.
b) see if the time is "too different" from the last changeset.  Most trees
   are fairly active and if the time is too far ahead (say a month?), then
   raise a warning and ask the user to confirm this is the correct time.

Comments?

On Tue, Jan 15, 2002 at 01:57:55PM -0700, Tom Rini wrote:
> On Tue, Jan 15, 2002 at 11:22:33AM -0800, Larry McVoy wrote:
>
> > Would you like me to make you a "pre-commit" trigger which catches these
> > problems?
>
> If you've got the time, sure.  Hopefully we're all done breaking our
> clocks tho. :)
>
> --
> Tom Rini (TR1265)
> http://gate.crashing.org/~trini/

--
---
Larry McVoy            	 lm at bitmover.com           http://www.bitmover.com/lm

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/